Subject: Omnipresent lock on mailbox problem

From: Nir Arbel <[email-masked]>
Date: Fri, 26 Sep 1997 09:00:02 +0000 (GMT)

Hey everyone,

First, I want you to know that I've tried everything I can possibly think
of before reaching this point of desperation, and now I turn to you for
help. My problem is this:

I'm using pine 3.95 for Linux (kernel ver. 2.0.30) , which came as a
RedHat package along with my RedHat 4.1 distribution. In addition I use
SendMail 8.8.4.

Since I am the only user of my computer I saw no reason to avoid using
"root" as the main mailreading account, as that's the account I use most
of the time anyway. Upon seeing that pine used "root" as part of my
mailing address I sought to create a new user with a more representative 
username. I ran pine and it built all the necessary files and directories.

Everything looked OK until, for test purposes, I sent myself a letter from
that account. The letter reached me, but every time I ran Pine after that
I was told that Pine "can't open mailbox lock. Access is read-only." So I
starting doing a few checks. The permissions were all right. All the files
in the user's home directory and the mailbox at /var/spool/mail/ had
permissions that allowed that user to read and write to these files
freely. I reasoned that perhaps that file was locked by some process. I
tried modifying the mailbox file manually, and that worked. I also tried
killing almost all of the processes in the system just in case, but Pine
still told me the mailbox was locked. I read through the technical notes
file and found out that there might be lock files at the /tmp directory
and at the same directory which held the mailbox file. I checked a number
of times and nothing was there. When I try accessing any folder through
that account it is opened in read-only mode. I can read but I can't delete
or edit. One thing which struck me as odd was that I could still compose a
letter, and it was still copied to "sent-mail". If I tried entering the
"sent-mail" folder it would still restrict me to read-only, but the letter
I composed was there. It's the same with moving a letter to another
folder. The letter is moved there, but upon access the folder becomes
locked.

Thanks, Nir.